org.apache.solr.search

## Class ValueSourceParser

- java.lang.Object
- - org.apache.solr.search.ValueSourceParser

- All Implemented Interfaces:
    NamedListInitializedPlugin
  Direct Known Subclasses:
    GeoDistValueSourceParser, PercentileAgg.Parser

      public abstract class ValueSourceParser
      extends Object
      implements NamedListInitializedPlugin

  A factory that parses user queries to generate ValueSource instances. Intended usage is to create pluggable, named functions for use in function queries.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Map<String,ValueSourceParser>` | `standardValueSourceParsers` standard functions supported by default

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValueSourceParser()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `init(NamedList args)` Initialize the plugin.
    `abstract ValueSource` | `parse(FunctionQParser fp)` Parse the user input into a ValueSource.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### standardValueSourceParsers

          public static final Map<String,ValueSourceParser> standardValueSourceParsers

      standard functions supported by default

  - ### Constructor Detail

    - #### ValueSourceParser

          public ValueSourceParser()

  - ### Method Detail

    - #### init

          public void init(NamedList args)

      Initialize the plugin.
      Specified by:
        `init` in interface `NamedListInitializedPlugin`

    - #### parse

          public abstract ValueSource parse(FunctionQParser fp)
                                     throws SyntaxError

      Parse the user input into a ValueSource.
      Throws:
        `SyntaxError`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.